Subject: Re: [PATCH 3/4] imap-send: remove two string length checks

From: Oswald Buddenhagen <[email-masked]>
Date: Wed, 11 Mar 2026 14:41:00 +0100

On Wed, Mar 11, 2026 at 01:11:06PM +0100, Beat Bolli wrote:
>At this point, these two checks verify that the ASN1_STRINGs are
>internally consistent. This may have been ok when the fields were
>accessed directly, but now that the API is used, is unnecessary.
>
that argumentation makes no sense.
the purpose of this check is to ensure that there are no embedded nulls, 
which the matcher would be unable to deal with, which may be a security 
hole.